package controller;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import model.Abteilung;
import model.Mitarbeiter;

/**
 * Servlet implementation class NeuerMitarbeiterServlet
 */
@WebServlet("/neuer-mitarbeiter")
public class NeuerMitarbeiterServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public NeuerMitarbeiterServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		EntityManagerFactory emf = (EntityManagerFactory) getServletContext().getAttribute("emf");
		EntityManager em = emf.createEntityManager();
		
		List<Abteilung> l = em.createNamedQuery("Abteilung.findAll", Abteilung.class).getResultList();
		
		request.setAttribute("liste", l);
		
		RequestDispatcher d = request.getRequestDispatcher("formular-neuer-mitabeiter.jsp");
		d.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		EntityManagerFactory emf = (EntityManagerFactory) getServletContext().getAttribute("emf");
		EntityManager em = emf.createEntityManager();

		em.getTransaction().begin();
		
		Mitarbeiter m = new Mitarbeiter();
		m.setVorname(request.getParameter("vorname"));
		m.setNachname(request.getParameter("nachname"));
		
		Integer abt_id = Integer.valueOf(request.getParameter("abteilung"));
		Abteilung a = em.find(Abteilung.class, abt_id);
		m.setAbteilung(a);
		
		em.persist(m);
		
		em.getTransaction().commit();
	}

}
