package controller;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import model.Abteilung;
import model.Mitarbeiter;

/**
 * Servlet implementation class ZeigeMitarbeiterServlet
 */
@WebServlet("/zeige-mitarbeiter")
public class ZeigeMitarbeiterServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		EntityManagerFactory emf = (EntityManagerFactory) getServletContext().getAttribute("emf");
		EntityManager em = emf.createEntityManager();
		
		List<Abteilung> l = em.createNamedQuery("Abteilung.findAll", Abteilung.class).getResultList();
		
		request.setAttribute("liste", l);

		RequestDispatcher d = request.getRequestDispatcher("auswahl-abteilung.jsp");
		d.forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		EntityManagerFactory emf = (EntityManagerFactory) getServletContext().getAttribute("emf");
		EntityManager em = emf.createEntityManager();
		
		Integer id = Integer.valueOf(request.getParameter("abteilung"));
		
		List<Mitarbeiter> l;
		if (id.equals(0)) {
			l = em.createNamedQuery("Mitarbeiter.findAll", Mitarbeiter.class).getResultList();
		} else {
			Abteilung a = em.find(Abteilung.class, id);
			l = new ArrayList<Mitarbeiter>(a.getMitarbeiters());
		}
		
		request.setAttribute("liste", l);
		RequestDispatcher d = request.getRequestDispatcher("zeige-mitarbeiter.jsp");
		d.forward(request, response);
	}

}
