package model;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;


/**
 * The persistent class for the abteilung database table.
 * 
 */
@Entity
@NamedQuery(name="Abteilung.findAll", query="SELECT a FROM Abteilung a")
public class Abteilung implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	private int id;

	private String name;

	//bi-directional many-to-one association to Mitarbeiter
	@OneToMany(mappedBy="abteilung")
	private List<Mitarbeiter> mitarbeiters;

	public Abteilung() {
	}

	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<Mitarbeiter> getMitarbeiters() {
		return this.mitarbeiters;
	}

	public void setMitarbeiters(List<Mitarbeiter> mitarbeiters) {
		this.mitarbeiters = mitarbeiters;
	}

	public Mitarbeiter addMitarbeiter(Mitarbeiter mitarbeiter) {
		getMitarbeiters().add(mitarbeiter);
		mitarbeiter.setAbteilung(this);

		return mitarbeiter;
	}

	public Mitarbeiter removeMitarbeiter(Mitarbeiter mitarbeiter) {
		getMitarbeiters().remove(mitarbeiter);
		mitarbeiter.setAbteilung(null);

		return mitarbeiter;
	}

}