package model;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the mitarbeiter database table.
 * 
 */
@Entity
@NamedQuery(name="Mitarbeiter.findAll", query="SELECT m FROM Mitarbeiter m")
public class Mitarbeiter implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	private int id;

	private String nachname;

	private String vorname;

	//bi-directional many-to-one association to Abteilung
	@ManyToOne
	private Abteilung abteilung;

	public Mitarbeiter() {
	}

	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getNachname() {
		return this.nachname;
	}

	public void setNachname(String nachname) {
		this.nachname = nachname;
	}

	public String getVorname() {
		return this.vorname;
	}

	public void setVorname(String vorname) {
		this.vorname = vorname;
	}

	public Abteilung getAbteilung() {
		return this.abteilung;
	}

	public void setAbteilung(Abteilung abteilung) {
		this.abteilung = abteilung;
	}

}